Get stream attachments
Server:
https://{kibana_url}
- GET /api/streams/{streamName}/attachments
Fetches all attachments linked to a stream that are visible to the current user in the current space. Optionally filter by attachment types, search query, and tags.
[Required authorization] Route required privileges: read_stream.
Path Parameters
-
streamNamestring · max: 200required -
The name of the stream
Query Parameters
-
querystring · max: 1000 Search query to filter attachments by title
-
attachmentTypes· max: 3 Filter by attachment types (single value or array)
-
Values:
dashboardruleslo Filter by tags (single value or array)
Request
Any of:
Response
200
application/json
Successfully retrieved attachments